addProducts.v1
Adds one or multiple products to the cart. Cart rules are applied, if the shop supports them and are set up for at least one product to be added (or already placed in the cart).
Note: Depending on the installed extensions, custom errors can be returned on failure.
Request Body
Section titled “Request Body”object
Example
10080466570Example
1object
Example
textId of the property, to which the selection belongs to.
Example
01-input-field.greeting-card-textContent depends on the property type. It’s either the value-id of a selected property value for options or the text that was entered for inputs.
Example
Happy Birthday, dad!Holds additional information about a specific product of any type. The contents of the object can vary.
object
Example
{ "additionalInfo": { "is_parent": false }}Responses
Section titled “Responses”Returns an empty object after the action was performed.
object
object
Example
{ "output": {}}This error is thrown when there is an issue with adding one or multiple products to the cart. Note that the current theme only displays the first error in the array.
object
object
object
The message specific to the product with the matching identifier. This is either a translation string or an already translated string. Translation strings are just key/object or key/value pairs defined in the ‘locales/
The message params for the translation string. Translation params are just key/value pairs defined in the translation string defined in the ‘locales/message property. It defaults to an empty object if the property is missing or null. The translation string syntax is described here: https://github.com/yahoo/intl-messageformat#message-syntax
object
Indicates if the ‘message’ property contains a translated string (true) or a translation string (false or undefined). Defaults to true if the property is missing or null.
Example
{ "error": { "code": "ECART", "message": "There was a problem while trying to add one or multiple products.", "errors": [ { "entityId": "product-number-123", "code": "EINSUFFICIENTSTOCK", "message": "cart.error.insufficientstock", "messageParams": { "productName": "Apple Pie" }, "translated": false }, { "entityId": "unavailable-product-with-product-number-987", "code": "ENOTFOUND", "message": "The product 'Samba Hat' can't be found and was therefore not added to the cart.", "translated": true } ] }}EUNKNOWN
Section titled “EUNKNOWN”An internal error occurred.
object
object
Example
{ "error": { "code": "EUNKNOWN", "message": "An internal error occurred." }}
